%define upstream_name	 HTML-Mason
%define upstream_version 1.60

# useless stuff pulled by ./eg/MyApp/MasonWithSession.pm
# Apache::Request is dead
%global __requires_exclude perl\\((Apache::Request|MasonX::Request::PlusApacheSession)\\)
%global __provides_exclude perl\\(My

%{?perl_default_filter}

Name:       mason
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Powerful Perl-based web site development and delivery engine
License:    GPL/Artistic
Group:      Networking/WWW
Url:        http://masonhq.com/
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-Mason-1.32-netdisco.diff

BuildRequires: perl(CGI) >= 2.460.0
BuildRequires: perl(Cache::Cache) >= 1.0.0
BuildRequires: perl(Class::Container) >= 0.70.0
BuildRequires: perl(Exception::Class) >= 1.150.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Params::Validate) >= 0.700.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: apache-mod_perl
BuildRequires: perl-libapreq2
Requires:   apache-mod_perl
Requires:   perl-HTML-Parser
Requires:   perl-libapreq2
Provides:   perl-HTML-Mason = %{version}-%{release}
Obsoletes:  perl-HTML-Mason
BuildArch:  noarch

%description
Mason allows web pages and sites to be constructed from shared, reusable
building blocks called components. Components contain a mix of Perl and HTML,
and can call each other and pass values back and forth like subroutines.
Components increase modularity and eliminate repetitive work: common design
elements (headers, footers, menus, logos) can be extracted into their own
components where they need be changed only once to affect the whole site.

Other Mason features include a graphical site previewing utility, an HTML/data
caching model, and the ability to walk through requests with the Perl debugger.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
export APACHE=%{_sbindir}/httpd
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
rm -rf %{buildroot}%{_bindir}
install -d %{buildroot}/var/cache/%{name}
install -d %{buildroot}/var/www/%{name}

%check
make test

%files
%doc CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml UPGRADE eg samples
%{perl_vendorlib}/HTML
%attr(-,apache,apache) /var/cache/%{name}
/var/www/%{name}
%{_mandir}/man*/*


%changelog
* Tue Oct 01 2024 daviddavid <daviddavid> 1.600.0-1.mga10
+ Revision: 2102197
- update to 1.60

* Tue Mar 22 2022 umeabot <umeabot> 1.590.0-2.mga9
+ Revision: 1820038
- Mageia 9 Mass Rebuild

* Mon May 18 2020 tv <tv> 1.590.0-1.mga8
+ Revision: 1585901
- update to 1.59

* Wed Feb 12 2020 umeabot <umeabot> 1.580.0-3.mga8
+ Revision: 1502025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.580.0-2.mga7
+ Revision: 1279485
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 1.580.0-1.mga7
+ Revision: 1217561
- Update to version 1.58

* Sat Jun 18 2016 pterjan <pterjan> 1.540.0-6.mga6
+ Revision: 1022157
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.540.0-5.mga6
+ Revision: 947705
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.540.0-4.mga5
+ Revision: 741893
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 1.540.0-3.mga5
+ Revision: 736729
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.540.0-2.mga5
+ Revision: 682172
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Feb 10 2014 jquelin <jquelin> 1.540.0-1.mga5
+ Revision: 588411
- update to 1.54

* Sat Oct 19 2013 umeabot <umeabot> 1.510.0-2.mga4
+ Revision: 527014
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.510.0-1.mga4
+ Revision: 439380
- update to 1.51

* Sat Jan 12 2013 umeabot <umeabot> 1.500.0-2.mga3
+ Revision: 359418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-1.mga3
+ Revision: 295364
- update to 1.50

* Thu Feb 23 2012 jquelin <jquelin> 1.480.0-1.mga2
+ Revision: 212901
- update to 1.48

* Thu Nov 03 2011 jquelin <jquelin> 1.470.0-1.mga2
+ Revision: 162225
- update to 1.47
- update to 1.46

* Mon Jan 24 2011 jquelin <jquelin> 1.450.0-3.mga1
+ Revision: 37338
- rebuild
- mageia rebuild
- imported package mason


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.450.0-2mdv2011.0
+ Revision: 612818
- the mass rebuild of 2010.1 packages

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.450.0-1mdv2010.1
+ Revision: 532150
- update to 1.45

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.440.0-2mdv2010.1
+ Revision: 509194
- this is not a webapp, but a webapp development kit, don't ship a configuration file

* Tue Jan 05 2010 Jérôme Quelin <jquelin@mandriva.org> 1.440.0-1mdv2010.1
+ Revision: 486348
- adding missing buildrequires:
- update to 1.44

* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.430.0-1mdv2010.1
+ Revision: 483038
- update to 1.43

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.420.0-1mdv2010.0
+ Revision: 394974
- update to 1.42
- using %%perl_convert_version

* Thu Dec 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.40-1mdv2009.1
+ Revision: 310000
- 1.40

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 1.33-6mdv2008.1
+ Revision: 168074
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.33-6mdv2008.0
+ Revision: 83812
- rebuild
- Import mason



* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.33-5mdv2007.0
- relax buildrequires versionning

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.33-4mdv2007.0
- rebuild with corrected webapp macros

* Tue Jun 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.33-3mdv2007.0
- rename to %%{name}, as it is not a perl library
- configuration file belongs to %%{_webappconfdir}
- truly minimal configuration files, to avoid side-effects
- change group
- use webapp macros
- use its own private cache directory
- use Module::Build-based build

* Tue May 30 2006 Scott Karns <scottk@mandriva.org> 1.33-2mdv2007.0
- Added BuildRequires perl(HTML::Entities) for t/21-escapes.t
- Added Requires perl-HTML-Parser (provides perl(HTML::Entities)

* Sun May 27 2006 Scott Karns <scottk@mandriva.org> 1.33-1mdv2007.0
- Version 1.33

* Tue May 09 2006 Scott Karns <scottk@mandriva.org> 1.32-4mdk
- Corrected _provides_exceptions

* Tue May 09 2006 Scott Karns <scottk@mandriva.org> 1.32-3mdk
- Updated BuildRequires according to HTML-Mason META.yml and
  to comply with Mandriva perl packaging policy
- Updated source URL to meet Mandriva perl packaging policy
- bzip2'd HTML-Mason-1.32-netdisco.diff
- Added patch for fake_apache status 302 test

* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.32-2mdk
- fix the apache config to not set global <LocationMatch directories
  per default. this should instead be set per directory, per 
  application needing it. also used the apache config from fedora 
  extras repository.
- set the MasonDataDir to /var/cache/httpd/mason
- fix deps
- filter out some useless provides
- added P0 after skimming the netdisco mailinglists at sourceforge

* Fri Jan 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.32-1mdk
- 1.32
- Bump required apache version

* Sun Oct 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.31-3mdk
- fix deps, %%post, %%postun and config dir

* Sun Oct 09 2005 Michael Scherer <misc@mandriva.org> 1.31-2mdk
- update BuildRequires, for t/06-compiler.t failing for compiler_id_change
- clean spec
- fix unowned directory problem

* Sat Oct 08 2005 Michael Scherer <misc@mandriva.org> 1.31-1mdk
- update to 1.31 ( not 1.3101, as i think it will requires to use Epoch.
  better wait for 1.32 ).
- remove Apache::Request from config file, as it requires mod_perl1

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.28-3mdk
- Fix buildrequires

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.28-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.28-1mdk
- 1.28
- Add Changes in doc

* Sun Aug 29 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.26-2mdk
- fix deps

* Wed Aug 25 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.26-1mdk
- 1.26
- fixed S1

* Wed Mar 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.03-4mdk
- fix requires & build

* Tue Sep 04 2001 Florin <florin@mandrakesoft.com> 1.03-3mdk
- add requires on perl-CGI and mod_perl
- update the /etc/httpd/conf/httpd-perl.conf
- restart the apache server in post, postun

* Thu Aug 30 2001 Florin <florin@mandrakesoft.com> 1.03-2mdk
- skip the user questions
- remove the perllocal.pod file as it conflicts with 5 pckgs

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.03-1mdk
- 1.03
- BuildRequires:	perl-devel perl-Params-Validate
- Copyright --> License

* Wed May 02 2001 Stefan van der Eijk <stefan@eijk.nu> 1.02-1mdk
- 1.02

* Wed May 02 2001 Stefan van der Eijk <stefan@eijk.nu> 0.895-2mdk
- perl 5.6.1

* Thu Dec 14 2000  Florin Grad <florin@mandrakesoft.com> 0.895-1mdk
- 0.895

* Fri Oct 13 2000  Florin Grad <florin@mandrakesoft.com> 0.89-3mdk
- change location according to apache-mod_perl
- added the samples section

* Thu Oct 12 2000  Florin Grad <florin@mandrakesoft.com> 0.89-2mdk
- remove some silly requirements (typo :)

* Tue Oct 11 2000  Florin Grad <florin@mandrakesoft.com> 0.89-1mdk
- first attempt
